
package webflow.frontend;

import java.lang.*;
import java.util.*;
import uci.graphedit.*;

/** 
 
  Action
   |
   +----------------+
                    |
	      ActionExecute
  ______________________________________________________
    
       Action to run the created graph.
*/

public class ActionExecute extends Action {

  /** Private member, that stores a reference to parent editor */
  WebEditor editor;

  /** Create an Execute action */
  public ActionExecute (Editor e){

    editor = (WebEditor) e;
    
  }
 
  /** executes the action Execute */
  public void doIt(java.awt.Event e) {
    // sends the message SMrequest
    editor.runModules();
  }

  /** Undo the action - not implemented*/
  public void undoIt(){
    System.out.println("This is still not implemented");
  }
} /* end class ActionExecute*/





